/*
 * This file is part of ce.
 *
 * Copyright (c) 1990 by Chester Ramey.
 *
 * Permission is hereby granted to copy, reproduce, redistribute or
 * otherwise use this software subject to the following: 
 * 	1) That there be no monetary profit gained specifically from 
 *	   the use or reproduction of this software.
 * 	2) This software may not be sold, rented, traded or otherwise 
 *	   marketed.
 * 	3) This copyright notice must be included prominently in any copy
 * 	   made of this software.
 *
 * The author makes no claims as to the fitness or correctness of
 * this software for any use whatsoever, and it is provided as is. 
 * Any use of this software is at the user's own risk.
 */
/*
 * conf.h -- some configuration constants to tailor the editor for a
 *	     particular machine/environment.
 */

#define JOBS		/* if you have job control */
#define NEED_GETCWD	/* if you need getcwd() */
#define NEED_DIRENT	/* if you have struct direct, need struct dirent */
/*#define NEED_UID_T	/* if you need typedef for uid_t */
#define HAVE_BCOPY	/* if you have bcopy, bzero */
/*#define XTITLE		/* if you want to write to xterm title bar */
#define SIGTYPE		int	/* or void, if your sighandlers return void */
#define HAVE_FCHMOD
#define HAVE_FCHOWN

#ifndef HAVE_BCOPY
#define bcopy(s,d,n)	(memcpy((d), (s), (n)))
#define bzero(s, n)	(memset((s), 0, (n)))
#endif
